//////////////////////////////////////////////////////////////////////////
// Copyright 2001-2020 Aspose Pty Ltd. All Rights Reserved.
//
// This file is part of Aspose.Words. The source code in this file
// is only intended as a supplement to the documentation, and is provided
// "as is", without warranty of any kind, either expressed or implied.
//////////////////////////////////////////////////////////////////////////
/// \file Aspose.Words.Cpp/Model/Document/EditingLanguage.h
#pragma once

#include <system/object_ext.h>
#include <system/enum.h>

#include "Aspose.Words.Cpp/aspose_words_api_defs.h"

namespace Aspose {

namespace Words {

/// Specifies the editing language.
enum class EditingLanguage
{
    Afrikaans = 0x0436,
    Albanian = 0x041C,
    Alsatian = 0x0484,
    Amharic = 0x045E,
    ArabicAlgeria = 0x1401,
    ArabicBahrain = 0x3C01,
    ArabicEgypt = 0x0C01,
    ArabicIraq = 0x0801,
    ArabicJordan = 0x2C01,
    ArabicKuwait = 0x3401,
    ArabicLebanon = 0x3001,
    ArabicLibya = 0x1001,
    ArabicMorocco = 0x1801,
    ArabicOman = 0x2001,
    ArabicQatar = 0x4001,
    ArabicSaudiArabia = 0x0401,
    ArabicSyria = 0x2801,
    ArabicTunisia = 0x1C01,
    ArabicUAE = 0x3801,
    ArabicYemen = 0x2401,
    Armenian = 0x042B,
    Assamese = 0x044D,
    AzerbaijaniCyrillic = 0x082C,
    AzerbaijaniLatin = 0x042C,
    BanglaBangladesh = 0x0845,
    BanglaIndia = 0x0445,
    Bashkir = 0x046D,
    Basque = 0x042D,
    Belarusian = 0x0423,
    BosnianCyrillic = 0x201A,
    BosnianLatin = 0x141A,
    Breton = 0x047E,
    Bulgarian = 0x0402,
    Burmese = 0x0455,
    Catalan = 0x0403,
    CentralKurdishIraq = 0x0492,
    Cherokee = 0x045C,
    ChineseHongKong = 0x0C04,
    ChineseMacao = 0x1404,
    ChinesePRC = 0x0804,
    ChineseSingapore = 0x1004,
    ChineseTaiwan = 0x0404,
    Corsican = 0x483,
    CroatianBozniaAndHerzegovina = 0x101A,
    Croatian = 0x041A,
    Czech = 0x0405,
    Danish = 0x0406,
    Divehi = 0x0465,
    DutchBelgium = 0x0813,
    DutchNetherlands = 0x0413,
    Edo = 0x0466,
    EnglishAustralia = 0x0C09,
    EnglishBelize = 0x2809,
    EnglishCanada = 0x1009,
    EnglishCaribbean = 0x2409,
    EnglishHongKong = 0x3C09,
    EnglishIndia = 0x4009,
    EnglishIndonesia = 0x3809,
    EnglishIreland = 0x1809,
    EnglishJamaica = 0x2009,
    EnglishMalaysia = 0x4409,
    EnglishNewZealand = 0x1409,
    EnglishPhilippines = 0x3409,
    EnglishSingapore = 0x4809,
    EnglishSouthAfrica = 0x1C09,
    EnglishTrinidadAndTobago = 0x2C09,
    EnglishUK = 0x0809,
    EnglishUS = 0x0409,
    EnglishZimbabwe = 0x3009,
    Estonian = 0x0425,
    Faeroese = 0x0438,
    Filipino = 0x0464,
    Finnish = 0x040B,
    FrenchBelgium = 0x080C,
    FrenchCanada = 0x0C0C,
    FrenchFrance = 0x040C,
    FrenchLuxembourg = 0x140C,
    FrenchMonaco = 0x180C,
    FrenchSwitzerland = 0x100C,
    Frisian = 0x0462,
    FulahLatinSenegal = 0x0867,
    FulahNigeria = 0x0467,
    Galician = 0x0456,
    Georgian = 0x0437,
    GermanAustria = 0x0C07,
    GermanGermany = 0x0407,
    GermanLiechtenstein = 0x1407,
    GermanLuxembourg = 0x1007,
    GermanSwitzerland = 0x0807,
    Greek = 0x0408,
    Greenlandic = 0x046F,
    Guarani = 0x0474,
    Gujarati = 0x0447,
    Hausa = 0x0468,
    Hawaiian = 0x0475,
    Hebrew = 0x040D,
    Hindi = 0x0439,
    Hungarian = 0x040E,
    Icelandic = 0x040F,
    Igbo = 0x0470,
    InariSamiFinland = 0x243B,
    Indonesian = 0x0421,
    InuktitutLatin = 0x7C5D,
    InuktitutSyllabics = 0x785D,
    Irish = 0x083C,
    IsiXhosa = 0x0434,
    IsiZulu = 0x0435,
    ItalianItaly = 0x0410,
    ItalianSwitzerland = 0x0810,
    Japanese = 0x0411,
    Kannada = 0x044B,
    Kanuri = 0x0471,
    Kashmiri = 0x0860,
    KashmiriArabic = 0x0460,
    Kazakh = 0x043F,
    Khmer = 0x0453,
    Kiche = 0x7C86,
    Kinyarwanda = 0x0487,
    Kiswahili = 0x0441,
    Konkani = 0x0457,
    Korean = 0x0412,
    Kyrgyz = 0x0440,
    Lao = 0x0454,
    Latin = 0x0476,
    Latvian = 0x0426,
    Lithuanian = 0x0427,
    LowerSorbian = 0x7C2E,
    LuleSamiNorway = 0x103B,
    LuleSamiSweden = 0x143B,
    Luxembougish = 0x046E,
    Macedonian = 0x042F,
    MalayMalaysia = 0x043E,
    MalayBruneiDarussalam = 0x083E,
    Malayalam = 0x044C,
    Maltese = 0x043A,
    Manipuri = 0x0458,
    Maori = 0x0481,
    MapudungunChile = 0x047A,
    Marathi = 0x044E,
    Mohawk = 0x047C,
    MongolianCyrillic = 0x0450,
    MongolianMongolian = 0x0850,
    Nepali = 0x0461,
    NorthernSamiFinland = 0x0C3B,
    NorthernSamiNorway = 0x043B,
    NorthernSamiSweden = 0x083B,
    NorwegianBokmal = 0x0414,
    NorwegianNynorsk = 0x0814,
    Oriya = 0x0448,
    Oromo = 0x0472,
    Papiamentu = 0x0479,
    Pashto = 0x0463,
    Persian = 0x0429,
    Polish = 0x0415,
    PortugueseBrazil = 0x0416,
    PortuguesePortugal = 0x0816,
    PunjabiIndia = 0x0446,
    PunjabiPakistan = 0x0846,
    QuechuaBolivia = 0x046B,
    QuechuaEcuador = 0x086B,
    QuechuaPeru = 0x0C6B,
    Romanian = 0x0418,
    Romansh = 0x0417,
    Russian = 0x0419,
    Sakha = 0x0485,
    Sanskrit = 0x044F,
    ScottishGaelic = 0x491,
    SerbianCyrillicBosniaAndHerzegovina = 0x1C1A,
    SerbianCyrillicSerbiaAndMontenegro = 0x0C1A,
    SerbianLatinBosniaAndHerzegovina = 0x181A,
    SerbianLatinSerbiaAndMontenegro = 0x081A,
    Sindhi = 0x0859,
    SindhiDevanagaric = 0x0459,
    Sinhalese = 0x045B,
    Slovak = 0x041B,
    Slovenian = 0x0424,
    Somali = 0x0477,
    Sorbian = 0x042E,
    SpanishArgentina = 0x2C0A,
    SpanishBolivia = 0x400A,
    SpanishChile = 0x340A,
    SpanishColombia = 0x240A,
    SpanishCostaRica = 0x140A,
    SpanishDominicanRepublic = 0x1C0A,
    SpanishEcuador = 0x300A,
    SpanishElSalvador = 0x440A,
    SpanishGuatemala = 0x100A,
    SpanishHonduras = 0x480A,
    SpanishMexico = 0x080A,
    SpanishNicaragua = 0x4C0A,
    SpanishPanama = 0x180A,
    SpanishParaguay = 0x3C0A,
    SpanishPeru = 0x280A,
    SpanishPuertoRico = 0x500A,
    SpanishSpainModernSort = 0x0C0A,
    SpanishSpainTraditionalSort = 0x040A,
    SpanishUruguay = 0x380A,
    SpanishVenezuela = 0x200A,
    Sutu = 0x0430,
    SwedishFinland = 0x081D,
    SwedishSweden = 0x041D,
    Syriac = 0x045A,
    Tajik = 0x0428,
    Tamazight = 0x045F,
    TamazightLatin = 0x085F,
    Tamil = 0x0449,
    Tatar = 0x0444,
    Telugu = 0x044A,
    Thai = 0x041E,
    TibetanButan = 0x0851,
    TibetanChina = 0x0451,
    TigrignaEritrea = 0x0873,
    TigrignaEthiopia = 0x0473,
    Tsonga = 0x0431,
    Tswana = 0x0432,
    Turkish = 0x041F,
    Turkmen = 0x0442,
    Ukrainian = 0x0422,
    Urdu = 0x0420,
    UzbekCyrillic = 0x0843,
    UzbekLatin = 0x0443,
    Venda = 0x0433,
    Vietnamese = 0x042A,
    Welsh = 0x0452,
    Yi = 0x0478,
    Yiddish = 0x043D,
    Yoruba = 0x046A
};

}
}

template<>
struct EnumMetaInfo<Aspose::Words::EditingLanguage>
{
    static const ASPOSE_WORDS_SHARED_API std::array<std::pair<Aspose::Words::EditingLanguage, const char_t*>, 227>& values();
};
